org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcColumnMetaV3

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcColumnMeta
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcColumnMetaV2
    - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcColumnMetaV3

All Implemented Interfaces:
  JdbcRawBinarylizable

    public class JdbcColumnMetaV3
    extends JdbcColumnMetaV2

JDBC column metadata V3.

### Constructor Summary

Constructors
Constructor and Description
`JdbcColumnMetaV3(String schemaName, String tblName, String colName, Class<?> cls, boolean nullable, Object dfltVal)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `defaultValue()`
`void` `readBinary(BinaryReaderExImpl reader)` Reads fields from provided reader.
`String` `toString()`
`void` `writeBinary(BinaryWriterExImpl writer)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcColumnMetaV2

`isNullable`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcColumnMeta

`columnName, dataType, dataTypeClass, dataTypeName, equals, hashCode, schemaName, tableName`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcColumnMetaV3

    public JdbcColumnMetaV3(String schemaName,
                            String tblName,
                            String colName,
                            Class<?> cls,
                            boolean nullable,
                            Object dfltVal)

Parameters:
  `schemaName` - Schema.
  `tblName` - Table.
  `colName` - Column.
  `cls` - Type.
  `nullable` - Allow nulls.
  `dfltVal` - Default value.

### Method Detail

#### defaultValue

    public String defaultValue()

Overrides:
  `defaultValue` in class `JdbcColumnMeta`
Returns:
  Column's default value.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer)

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcColumnMetaV2`
Parameters:
  `writer` - Binary object writer.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader)

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcColumnMetaV2`
Parameters:
  `reader` - Binary object reader.

#### toString

    public String toString()

Overrides:
  `toString` in class `JdbcColumnMetaV2`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018